> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /dappradar/markets

> Get global Web3 market stats and live pool prices

**Price:** 1 credit

**💡 AI Hint:** Get DappRadar's global Web3 market stats: total tracked dapp count, 24h volume, total value locked (TVL), and 24h unique active wallets (UAW), with a timestamp. Optionally pass a list of pool ids to also receive their live price and 24h price change.



## OpenAPI

````yaml /openapi-filtered.json post /api/dappradar/markets
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/dappradar/markets:
    post:
      tags:
        - /dappradar
      summary: /dappradar/markets
      description: >-
        Get global Web3 market stats and live pool prices


        **Price:** 1 credit


        **💡 AI Hint:** Get DappRadar's global Web3 market stats: total tracked
        dapp count, 24h volume, total value locked (TVL), and 24h unique active
        wallets (UAW), with a timestamp. Optionally pass a list of pool ids to
        also receive their live price and 24h price change.
      operationId: __api_dappradar_markets_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DappradarMarketsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DappradarMarket'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DappradarMarketsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        pools:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          description: Optional list of pool ids to include live prices for
          examples:
            - - 2255
              - 128
      type: object
    DappradarMarket:
      properties:
        '@type':
          type: string
          default: DappradarMarket
        timestamp:
          anyOf:
            - type: integer
            - type: 'null'
        dapp_count:
          anyOf:
            - type: integer
            - type: 'null'
        volume_24h:
          anyOf:
            - type: number
            - type: 'null'
        tvl:
          anyOf:
            - type: number
            - type: 'null'
        uaw:
          anyOf:
            - type: integer
            - type: 'null'
        pools:
          items:
            $ref: '#/components/schemas/DappradarPoolPrice'
          type: array
          default: []
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DappradarPoolPrice:
      properties:
        '@type':
          type: string
          default: DappradarPoolPrice
        id:
          type: integer
        price:
          anyOf:
            - type: number
            - type: 'null'
        change_24h:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````